Bug 1708616 - URL in spec - fedora and upstream
Summary: URL in spec - fedora and upstream
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kronosnet
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Massimo Di Nitto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-10 11:40 UTC by Phil Wyett
Modified: 2019-06-12 12:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-12 12:39:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Phil Wyett 2019-05-10 11:40:20 UTC
Description of problem:


In current fedora rawhide URL is:

URL: http://www.kronosnet.org

Note: Should use https where possible and in this case.

In spec.in upstream, URL is:

https://github.com/kronosnet/kronosnet/

Which is the correct URL that used be used in both files?

Comment 1 Fabio Massimo Di Nitto 2019-05-10 12:24:33 UTC
Hey Phil,

good catch, they are inconsistent, even tho both URLs will get you to the same project / code.

http://www.kronosnet.org should redirect you automatically to https://kronosnet.org (from the webserver side), we just need to fix the URL in the spec file.

I´ll address this one upstream soon and then propagate downstream.

Thanks
Fabio

Comment 2 Phil Wyett 2019-05-10 15:03:44 UTC
Hi Fabio,

Yes, I saw the redirect when I went to the upstream page.

OK, I will keep this as a watch and wait for a change to propagate to fedora.

Comment 3 Fabio Massimo Di Nitto 2019-05-10 16:21:22 UTC
Next upstream release is going to be in a few weeks. We just did 1.9 a couple of days ago.

So expect a bit of time before i´ll propagate it downstream.

Cheers
Fabio

Comment 4 Fabio Massimo Di Nitto 2019-05-13 04:04:10 UTC
FYI: https://github.com/kronosnet/kronosnet/commit/5b8a04ea6dbae9334063d1af52f950f794771714

we are working on cleaning up the upstream spec file in the https://github.com/kronosnet/kronosnet/commits/specfile branch.

Cheers
Fabio

Comment 5 Fabio Massimo Di Nitto 2019-05-17 06:32:26 UTC
Fixes are committed upstream and will be backported in Fedora in the next release.


Note You need to log in before you can comment on or make changes to this bug.